import { events } from './EventsStore';
import type { PageLoad } from './$types';
import type { Events, Event } from './EventsStore';

export const load = (async ({ fetch }) => {
	events.reset();
	const years_response = await fetch(
		'https://www.thebluealliance.com/api/v3/team/frc5618/years_participated',
		{
			method: 'GET',
			headers: {
				'X-TBA-Auth-Key': '6oQL4iTAIFO0tc5xmRSWVQoNlgm5jpB5x4YZBdqhGTFJjqfqM6XV53s8FBAEiXOJ'
			}
		}
	);
	const years: Array<number> = await years_response.json();
	years.reverse().forEach(async (year) => {
		const events_response = await fetch(
			`https://www.thebluealliance.com/api/v3/team/frc5618/events/${year}/simple`,
			{
				method: 'GET',
				headers: {
					'X-TBA-Auth-Key': '6oQL4iTAIFO0tc5xmRSWVQoNlgm5jpB5x4YZBdqhGTFJjqfqM6XV53s8FBAEiXOJ'
				}
			}
		);
		const year_events: Array<Event> = await events_response.json();
		const response: Events = { year, events_list: year_events };
		events.insert(response);
	});
	return {
		events
	};
}) satisfies PageLoad;
