import { writable } from 'svelte/store';

function createCount() {
	const { subscribe, set, update } = writable(new Array<Events>());

	return {
		subscribe,
		insert: (events: Events) => {
			update((n) => [...n, events]);
		},
		reset: () => set([])
	};
}

export const events = createCount();

export type Event = {
	key: string;
	name: string;
	event_code: string;
	event_type: string;
	district: {
		abbreviation: string;
		display_name: string;
		key: string;
		year: number;
	};
	city: string;
	state_prov: string;
	country: string;
	start_date: string;
	end_date: string;
	year: number;
};

export type Events = {
	year: number;
	events_list: Array<Event>;
};
